BorderUIResource.LineBorderUIResource (Java Platform SE 8 )
Keywords: javax.swing.plaf.BorderUIResource.LineBorderUIResource class
Date: 2016-12-09

javax.swing.plaf

## Class BorderUIResource.LineBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.LineBorder
    - - javax.swing.plaf.BorderUIResource.LineBorderUIResource

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.LineBorderUIResource
      extends LineBorder
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.LineBorder

      `lineColor, roundedCorners, thickness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineBorderUIResource(Color color)`
    `LineBorderUIResource(Color color, int thickness)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.LineBorder

      `createBlackLineBorder, createGrayLineBorder, getBorderInsets, getLineColor, getRoundedCorners, getThickness, isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineBorderUIResource

          public LineBorderUIResource(Color color)

    - #### LineBorderUIResource

          @ConstructorProperties(value={"lineColor","thickness"})
          public LineBorderUIResource(Color color,
                                                                                              int thickness)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.